<?php

require_once("/../Pripojeni/databaze.php");

class Dotazy{
    
    public function prihlaseniDotaz($jmeno, $heslo){
        
            global $db;
            
            $this->jmeno = $jmeno;
            $this->heslo = $heslo;
        
            $pripraveno = $this->heslo . "#€d@_j€_n€j!";
            $uzivatel = $db->prepare("SELECT * FROM uzivatele WHERE jmeno=:jmeno AND heslo=SHA1(:heslo)");
            $uzivatel->bindParam(":jmeno", $this->jmeno);
            $uzivatel->bindParam(":heslo", $pripraveno);
            $uzivatel->execute();
            $this->uzivatele = $uzivatel->fetch();
        
            return $this->uzivatele;
           
    }
    
    public function kontrolaJmenaDotaz($jmeno){
       
        global $db;
        
        $this->jmeno = $jmeno;
        
        $jmenoExistujici = $db->prepare("SELECT COUNT(*) FROM uzivatele WHERE jmeno=:jmeno LIMIT 1");
        $jmenoExistujici->execute(array(":jmeno" => $this->jmeno));
        $this->jmenoExistuje = $jmenoExistujici->fetch();
        
        return $this->jmenoExistuje;
          
    }
    
    public function kontrolaEmailuDotaz($email){
        
        global $db;
        
        $this->email = $email;
        
        $emailExistujici = $db->prepare("SELECT COUNT(*) FROM uzivatele WHERE email=:email LIMIT 1");
        $emailExistujici->execute(array(":email" => $this->email));
        $this->emailExistuje = $emailExistujici->fetch();
        
        return $this->emailExistuje;
        
    }
    
    public function registraceDotaz($jmeno, $heslo, $email, $aktivacniKod){
            
        global $db;
        
        $this->jmeno = $jmeno;
        $this->heslo = $heslo;
        $this->email = $email;
        $this->aktivacniKod = $aktivacniKod;
        
        $pripraveno = htmlspecialchars($this->heslo) . "#€d@_j€_n€j!";
            
        $registruj = $db->prepare('INSERT INTO uzivatele (jmeno, heslo, email, aktivace) VALUES (:jmeno, SHA1(:heslo), :email, :aktivace)');
        $registruj->bindParam(":jmeno", htmlspecialchars($this->jmeno));
        $registruj->bindParam(":heslo", $pripraveno);
        $registruj->bindParam(":email", htmlspecialchars($this->email));
        $registruj->bindParam(":aktivace", $this->aktivacniKod);
        $registruj->execute();
           
    }
    
    public function aktivaceVyhledejDotaz($jmeno){
        
        global $db;
        
        $this->jmeno = $jmeno;
        
        $aktivaceVyhledej = $db->prepare("SELECT aktivace FROM uzivatele WHERE jmeno=:jmeno LIMIT 1");
        $aktivaceVyhledej->bindParam(":jmeno", $this->jmeno);
        $aktivaceVyhledej->execute();
        $this->aktivaceVyhledano = $aktivaceVyhledej->fetch();
        
        return $this->aktivaceVyhledano;
       
    }
    
    public function aktivujDotaz($jmeno){
    
        global $db;
        
        $this->jmeno = $jmeno;
        
        $aktivaceUspech = $db->prepare("UPDATE uzivatele SET aktivace=1 WHERE jmeno=:jmeno");
        $aktivaceUspech->bindParam(":jmeno", $this->jmeno);
        $aktivaceUspech->execute();
    
    }
    
    public function zapomenuteHesloDotaz($email, $noveHeslo){
        
        global $db;
        
        $this->email = $email;
        $this->noveHeslo = $noveHeslo;
        
        $zapomenute = $db->prepare("UPDATE uzivatele SET heslo=:heslo WHERE email=:email");
        $zapomenute->bindParam(":heslo", SHA1($this->noveHeslo));
        $zapomenute->bindParam(":email", $this->email);
        $zapomenute->execute(); 
        
    }
    
    public function hesloHledejDotaz($jmeno){
    
        global $db;
        
        $this->jmeno = $jmeno;
        
        $vyhledejHeslo = $db->prepare("SELECT heslo FROM uzivatele WHERE jmeno=:jmeno");
        $vyhledejHeslo->bindParam(":jmeno", $this->jmeno);
        $vyhledejHeslo->execute();
        $this->hesloVyhledano = $vyhledejHeslo->fetch();
        
        return $this->hesloVyhledano;
        
    }
    
    public function zmenHeslo($heslo){
        
        global $db;
        
        $this->heslo = $heslo;
        
        $pripraveno = $this->heslo . "#€d@_j€_n€j!";
        
        $zmenHeslo = $db->prepare("UPDATE uzivatele SET heslo=SHA1(:heslo) WHERE jmeno=:jmeno");
        $zmenHeslo->bindParam(":heslo", $pripraveno);
        $zmenHeslo->bindParam(":jmeno", $_SESSION["uzivatel_jmeno"]);
        $zmenHeslo->execute();
    
    }
    



}
?>