<?php

class ActivateController extends Controller
{
    function main($params)
    {
        $this->data['icon'] = "fa-check";
        $this->data['title'] = "Aktivace účtu";

        $model_user = new UserModel();
        $model_activations = new ActivationModel();

        $token = $params[0];

        if (!array_key_exists(0, $params)) { //Existuje položka v poli?
            $this->data['state'] = "error";
            $this->data['message'] = "Aktivační token není definován.";
        } else if(empty($params[0])){
            $this->data['state'] = "error";
            $this->data['message'] = "Aktivační token je prázdný.";
        } else if (!$model_activations->tokenExists($token)){ //Existuje token v DB?
            $this->data['state'] = "error";
            $this->data['message'] = "Aktivační token neexistuje.";
        }
        else{ //Všechno OK, idem na věc!
            $userid = $model_activations->getUser($token); //ID uživatele

            if($model_activations->useToken($token) && $model_user->activate($userid)){ //Token použijeme a uživatele aktivujeme
                $this->data['state'] = "success";
                $this->data['message'] = "Uživatel aktivován. Nyní se můžete přihlásit.";
            }
            else{
                $this->data['state'] = "error";
                $this->data['message'] = "Chyba DB.";
            }
        }

        $this->view = "messageBig";
    }
}