<?php

class ForgotpwController extends Controller
{
    function main($params)
    {
        if ($_POST) {
            $response = array();

            $email = $_POST['email'];

            $model_user = new UserModel();
            $model_recovery = new PasswordRecoveryModel();

            $helper_mail = new MailHelper();
            $helper_config = new ConfigHelper();
            $helper_renderer = new ExternalViewRendererHelper();

            if( //POLE: Neodeslané pole
                !array_key_exists("email", $_POST)
            ){
                $response['state'] = "error";
                $response['message'] = "Některé z polí je prázdné.";
            }

            //EMAIL
            else if (empty($email)) { //EMAIL: Prázdný
                $response['state'] = "error";
                $response['message'] = "E-mailová adresa je prázdná.";
            }
            else if (!filter_var($email, FILTER_VALIDATE_EMAIL)) { //EMAIL: Nepovolený formát
                $response['state'] = "error";
                $response['message'] = "E-mailová adresa je v nepovoleném formátu.";
            }


            else if (!$model_user->existsEmail($email)) { // Uživatel neexistuje
                $response['state'] = "error";
                $response['message'] = "Uživatel se zadanou E-mailovou adresou neexistuje.";
            }


            else { //Ideme na věc!
                $userid = $model_user->getUserId_email($email);
                $token = $model_recovery->generateToken($userid);

                if ($model_recovery->insertRecovery($userid, $token)) {
                    if ($helper_mail->send($helper_config->getSiteEmail(), $email, "Obnova hesla", $helper_renderer->renderView("mail_pwrecovery", array("token" => $token))))
                        $response['state'] = "success";
                    else{
                        $response['state'] = "error";
                        $response['message'] = "Aktivační E-mail se nepodařilo odeslat.";
                    }
                }
                else{
                    $response['state'] = "error";
                    $response['message'] = "Chyba databáze.";
                }
            }

            die(json_encode($response));
        } else
            $this->view = "forgotpw";
    }
}