<?php

class LoginController extends Controller{
    function main($params){
        if($_POST){
            $response = array();

            $model = new UserModel();
            $session = new SessionHelper();

            $email = $_POST['email'];
            $password = $_POST['password'];

            if( //POLE: Neodeslané pole
                !array_key_exists("email", $_POST) ||
                !array_key_exists("password", $_POST)
            ){
                $response['state'] = "error";
                $response['message'] = "Některé z polí je prázdné.";
            }


            //EMAIL
            else if(empty($email)){ //EMAIL: Prázdný
                $response['state'] = "error";
                $response['message'] = "E-mailová adresa je prázdná.";
            }
            else if(!filter_var($email, FILTER_VALIDATE_EMAIL)){ //EMAIL: Nepovolený formát
                $response['state'] = "error";
                $response['message'] = "E-Mail je v nepovoleném formátu.";
            }

            //HESLO
            else if(!array_key_exists("password", $_POST)){ //HESLO: Prázdné
                $response['state'] = "error";
                $response['message'] = "Heslo je prázdné.";
            }

            else{ //Idem na věc!
                if($model->existsEmail($email) && $model->testPassword($email, $password)){ //Kombinovaná podmínka; nechceme prozradit jestli je blbý email nebo heslo
                    $userid = $model->getUserId_email($email); //ID uživatele
                    $session->logIn($userid); //Přihlásíme uživatele

                    $response['state'] = "success";
                }
                else{
                    $response['state'] = "error";
                    $response['message'] = "Špatná E-mailová adresa nebo heslo.";
                }
            }

            die(json_encode($response));
        }
        else{
            $session = new SessionHelper();
            if($session->isLoggedIn()){
                $this->data['icon'] = "fa-sign-in";
                $this->data['title'] = "Přihlásit se";

                $this->data['state'] = "warning";
                $this->data['message'] = "Již jste přihlášeni.";

                $this->view = "messageBig";

                header("Refresh: 3; URL=/");
            }
            else
                $this->view = "login";
        }
    }
}