<?php

class PwrecoveryController extends Controller
{
    function main($params)
    {
        $model_user = new UserModel();
        $model_recovery = new PasswordRecoveryModel();

        if ($_POST) {
            $response = array();

            $token = $_POST['token'];
            $password = $_POST['password'];
            $passwordAgain = $_POST['passwordAgain'];

            if ( //POLE: Neodeslané pole
                !array_key_exists("token", $_POST) ||
                !array_key_exists("password", $_POST) ||
                !array_key_exists("passwordAgain", $_POST)
            ) {
                $response['state'] = "error";
                $response['message'] = "Některé z polí je prázdné.";
            }

            //TOKEN
            if (empty($token)) { //TOKEN: Prázdný
                $response['state'] = "error";
                $response['message'] = "Token je prázdný.";
            }
            else if (!$model_recovery->tokenExists($token)) { //TOKEN: Neexistuje
                $response['state'] = "error";
                $response['message'] = "Token neexistuje.";
            }


            //HESLO
            else if (empty($password)) { //HESLO: Prázdné
                $response['state'] = "error";
                $response['message'] = "Heslo je prázdné.";
            }
            else if (strlen($password) < 6) { //HESLO: Menší než 6
                $response['state'] = "error";
                $response['message'] = "Heslo je příliš krátké, má být minimálně 6 znaků dlouhé.";
            }


            //HESLO ZNOVU
            else if (empty($passwordAgain)) { //HESLO ZNOVU: Prázdné
                $response['state'] = "error";
                $response['message'] = "Heslo znovu je prázdné.";
            }
            else if ($password !== $passwordAgain) { //HESLO ZNOVU: Neodpovídá
                $response['state'] = "error";
                $response['message'] = "Hesla nejsou stejná.";
            }


            else{
                $userid = $model_recovery->getUser($token);
                $password_crypted = password_hash($password, PASSWORD_BCRYPT);

                if($model_user->updatePassword($userid, $password_crypted) && $model_recovery->useToken($token))
                    $response['state'] = "success";
                else{
                    $response['state'] = "error";
                    $response['message'] = "Chyba databáze.";
                }
            }

            die(json_encode($response));
        } else {
            $token = $params[0];

            if (!array_key_exists(0, $params) || empty($token)) { //Token prázdný
                $this->data['icon'] = "fa-key";
                $this->data['title'] = "Zapomenuté heslo";

                $this->data['state'] = "error";
                $this->data['message'] = "Token je prázdný.";

                $this->view = "messageBig";
            }
            else if (!$model_recovery->tokenExists($token)) { //Token neexistuje
                $this->data['icon'] = "fa-key";
                $this->data['title'] = "Zapomenuté heslo";

                $this->data['state'] = "error";
                $this->data['message'] = "Token neexistuje.";

                $this->view = "messageBig";
            }
            else {
                $this->data['token'] = $token;
                $this->view = "pwrecovery";
            }
        }
    }
}