<?php

class RouterController extends Controller
{
	protected $controller;
	
	private function urlToClassName($text) 
	{
		$word = str_replace('-', ' ', $text);
		$word = ucwords($word);
		$word = str_replace(' ', '', $word);
		return $word;
	}
	
	private function parseURL($url)
	{
        $parsedURL = parse_url($url);

		$parsedURL["path"] = ltrim($parsedURL["path"], "/");
		$parsedURL["path"] = trim($parsedURL["path"]);
		
		$path = explode("/", $parsedURL["path"]);
		return $path;
	}
	
    public function main($params)
    {
		$parsedURL = $this->parseURL($params[0]);
		
		$classPrefix = $this->urlToClassName(array_shift($parsedURL));
		if(empty($classPrefix) || $classPrefix == "Home")
			$classPrefix = "Main";
			
		$class = $classPrefix . "Controller";


		if(file_exists("controller/".$class.".php")){
			$this->controller = new $class;
			$this->controller->main($parsedURL);
			
			$this->view = "main";
		}
		else $this->view = "error";
    }

}