<?php

/**
 * Načte hlavičku
 * @param string $description Popis
 * @param string $title Nadpis stránky
 * @param string $add Přidatelné HTML
 * @return string Výsledné html
 */
function loadHead($description, $title, $add = '')
{
    return '<head>'
            . '<meta charset="utf-8" />'
            . '<meta name="author" content="IT Man" />'
            . '<meta name="description" content="' . $description . '" />'
            . '<meta name="viewport" content="width=device-width, initial-scale=1">'
            . '<title>' . $title . '</title>'
            . '<link rel="stylesheet" type="text/css" href="css/style.css" />'
            . '<script src="js/jquery.js"></script>'
            . ($add ? $add : '')
        . '</head>';
}

/**
 * Přesměruje na určenou stránku
 * @param string $url URL na přesměrování
 */
function redirect($url = '')
{
    // Pokud není zadána URL, přesměruje se na aktuální stránku
    if (!$url)
        $url = $_SERVER['REQUEST_URI'];
    
    header('Location:' . $url);
    exit;
}

/**
 * Vygeneruje náhodný řetězec
 * @param int $length Délka řetězce
 * @return string Náhodný řetězec
 * @author http://stackoverflow.com/questions/4356289/php-random-string-generator
 */
function randomString($length = 10)
{
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    
    return $randomString;
}