<?php
    ini_set('session.cookie_httponly', 1);
    session_start();

    require 'Class/User.php';
    
    $user = new User();
    $user->checkPage(false);
    // Odeslání přihlášení
    if (isset($_POST) && $_POST)
        $warning = $user->login($_POST);
?>

<!DOCTYPE html>
<html lang="cs-cz">
    <?= loadHead('Na této stránce se můžete přihlásit do administrace.',
            'Přihlášení', '<script src="js/forms.js"></script>') ?>
    
    <body>
        <section>
            <header>
                <h1>Přihlášení</h1>
            </header>
            
            <div id="content">
                <article>
                    <?php if (isset($warning)) : ?>
                        <div class="alert warning"><?= $warning ?></div>
                    <?php endif ?>
                    
                    <form method="post">
                        <label for="username">Uživatelské jméno</label><br />
                        <input type="text" name="username" id="username"
                               required value="<?= isset($_POST['username']) ?
                                        $_POST['username'] : '' ?>"
                                        minlength="3" maxlength="255" /><br />
                        <label for="password">Heslo</label><br />
                        <input type="password" name="password" id="password"
                               required minlength="6" maxlength="255" /><br />
                        <input type="checkbox" name="permanently" id="permanently" />
                        <label for="permanently">Přihlásit mne trvale</label><br />
                        <input type="submit" value="Přihlásit se" />
                    </form>
                    <br />
                    <a href="password">Zapomenuté heslo?</a>
                </article>

                <aside id="panel">
                    <nav id="menu">
                        <ul>
                            <li><a href="/">Úvodní strana</a></li>
                            <li><a href="registration">Registrace</a></li>
                        </ul>
                    </nav>
                </aside>
            </div>
            
            <footer>
                <hr />
                <p>
                    Vytvořil &copy; 2016 <em>IT Man</em> pro
                    <a href="http://www.itnetwork.cz">ITnetwork.cz</a>.
                </p>
            </footer>
        </section>
    </body>
</html>