<?php

class ActivationModel{
    private $db;

    public function __construct(){
        $this->db = DbHelper::instance()->db();
    }

    public function generateToken($uniqid){
        $pretoken = $uniqid . bin2hex(openssl_random_pseudo_bytes(50)) . "123456789_____TOKEN_USERACTIVATION"; //Just for fun...
        $token = md5(md5($pretoken));

        return $token;
    }

    public function insertActivation($userid, $token){
        $stmt = $this->db->prepare("INSERT INTO userActivations (user, token) VALUES (:userid, :token);");
        return $stmt->execute(array(
            ":userid" => $userid,
            ":token" => $token
        ));
    }

    public function tokenExists($token){
        $stmt = $this->db->prepare("SELECT COUNT(*) FROM userActivations WHERE token=:token;");
        $stmt->execute(array(
            ":token" => $token
        ));

        return $stmt->fetchColumn(0) > 0;
    }

    public function getUser($token){
        $stmt = $this->db->prepare("SELECT user FROM userActivations WHERE token=:token LIMIT 1;");
        $stmt->execute(array(
            ":token" => $token
        ));

        return $stmt->fetchColumn(0);
    }

    public function useToken($token){
        $stmt = $this->db->prepare("DELETE FROM userActivations WHERE token=:token;");
        return $stmt->execute(array(
            ":token" => $token
        ));
    }
}