<?php
    ini_set('session.cookie_httponly', 1);
    session_start();

    require 'Class/User.php';
    
    $user = new User();
    $user->checkPage(false);
    // Odeslání nového hesla
    if (isset($_POST) && $_POST)
        $warning = $user->newPassword($_POST);
?>

<!DOCTYPE html>
<html lang="cs-cz">
    <?= loadHead('Pokud jste zapomenuli své heslo, můžete si nechat poslat nové '
            . 'na Váš E-mail.', 'Zapomenuté heslo',
            '<script src="js/forms.js"></script>') ?>
    
    <body>
        <section>
            <header>
                <h1>Zapomenuté heslo</h1>
            </header>
            
            <div id="content">
                <article>
                    <?php if (isset($warning)) : ?>
                        <div class="alert warning"><?= $warning ?></div>
                    <?php endif ?>
                    <p>
                        Pokud jste zapomenuli své staré heslo, můžete si nechat
                        poslat nové na E-mail uvedený v registračním formuláři.<br />
                        <strong>Nová hesla lze posílat pouze na aktivované účty!</strong>
                    </p>
                    
                    <form method="post">
                        <label for="username">Uživatelské jméno</label><br />
                        <input type="text" name="username" id="username"
                               required value="<?= isset($_POST['username']) ?
                                        $_POST['username'] : '' ?>" /><br />
                        <label for="email">E-mailová adresa</label><br />
                        <input type="email" name="email" id="email" required
                               placeholder="@" value="<?= isset($_POST['email'])
                                ? $_POST['email'] : '' ?>" /><br />
                        <input type="submit" value="Odeslat nové heslo" />
                    </form>
                </article>

                <aside id="panel">
                    <nav id="menu">
                        <ul>
                            <li><a href="/">Úvodní strana</a></li>
                            <li><a href="login">Přihlášení</a></li>
                            <li><a href="registration">Registrace</a></li>
                        </ul>
                    </nav>
                </aside>
            </div>
            
            <footer>
                <hr />
                <p>
                    Vytvořil &copy; 2016 <em>IT Man</em> pro
                    <a href="http://www.itnetwork.cz">ITnetwork.cz</a>.
                </p>
            </footer>
        </section>
    </body>
</html>