<?php
    ini_set('session.cookie_httponly', 1);
    session_start();

    require 'Class/User.php';
    
    $user = new User();
    $user->checkPage(false);
    // Odeslání registrace
    if (isset($_POST) && $_POST)
        $warning = $user->registration($_POST);
?>

<!DOCTYPE html>
<html lang="cs-cz">
    <?= loadHead('Pokud zde ještě nemáte účet, zaregistrujte se.', 'Registrace',
            '<script src="js/forms.js"></script>') ?>
    
    <body>
        <section>
            <header>
                <h1>Registrace</h1>
            </header>
            
            <div id="content">
                <article>
                    <?php if (isset($warning)) : ?>
                        <div class="alert warning"><?= $warning ?></div>
                    <?php endif ?>
                    <p>Pokud zde ještě nemáte účet, zaregistrujte se!</p>
                    
                    <form method="post">
                        <label for="username">Uživatelské jméno</label><br />
                        <input type="text" name="username" id="username"
                               required value="<?= isset($_POST['username']) ?
                                        $_POST['username'] : '' ?>"
                                        minlength="3" maxlength="255" /><br />
                        <label for="password">Heslo</label><br />
                        <input type="password" name="password" id="password"
                               required minlength="6" maxlength="255" /><br />
                        <label for="repeat">Heslo znova</label><br />
                        <input type="password" name="repeat" id="repeat"
                               required /><br />
                        <label for="email">E-mailová adresa</label><br />
                        <input type="email" name="email" id="email" required
                               placeholder="@" value="<?= isset($_POST['email'])
                                ? $_POST['email'] : '' ?>" /><br />
                        <input type="submit" value="Zaregistrovat se" />
                    </form>
                </article>

                <aside id="panel">
                    <nav id="menu">
                        <ul>
                            <li><a href="/">Úvodní strana</a></li>
                            <li><a href="login">Přihlášení</a></li>
                        </ul>
                    </nav>
                </aside>
            </div>
            
            <footer>
                <hr />
                <p>
                    Vytvořil &copy; 2016 <em>IT Man</em> pro
                    <a href="http://www.itnetwork.cz">ITnetwork.cz</a>.
                </p>
            </footer>
        </section>
    </body>
</html>